From f88e80dc277676d75ea66eb6a8fcb88121e54e32 Mon Sep 17 00:00:00 2001
From: barracuda156 <vital.had@gmail.com>
Date: Fri, 25 Nov 2022 14:11:28 +0800
Subject: [PATCH] os.c: use NOTE_TRIGGER conditionally, use EV_TRIGGER as a
 fallback

---
 src/os.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git src/os.c src/os.c
index 36d1c0a..7381d78 100644
--- src/os.c
+++ src/os.c
@@ -419,7 +419,11 @@ void soundio_os_cond_signal(struct SoundIoOsCond *cond,
     memset(&kev, 0, sizeof(kev));
     kev.ident = notify_ident;
     kev.filter = EVFILT_USER;
+#if defined(NOTE_TRIGGER)
     kev.fflags = NOTE_TRIGGER;
+#elif defined(EV_TRIGGER)
+    kev.flags = EV_TRIGGER;
+#endif
 
     if (kevent(cond->kq_id, &kev, 1, NULL, 0, &timeout) == -1) {
         if (errno == EINTR)
